package com.adealink.weparty.im.session.comp.fragment.data

import com.adealink.weparty.module.order.data.OrderDetailInfo
import com.adealink.weparty.module.profile.data.UserPlaymateSkill

enum class ViewType(val type: Int) {
    PLAYMATE_SKILL(0),
    USER_ORDER(1);

    companion object {
        @JvmStatic
        fun map(type: Int?): ViewType {
            type ?: return PLAYMATE_SKILL
            return entries.find { it.type == type } ?: PLAYMATE_SKILL
        }
    }
}


sealed class TopBarData(val viewType: Int)

data class SkillTopItemData(
    val data: UserPlaymateSkill
) : TopBarData(ViewType.PLAYMATE_SKILL.type)


data class OrderTopItemData(
    val data: OrderDetailInfo
) : TopBarData(ViewType.USER_ORDER.type)